LibreOffice: XInsertObjectDialog Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference

Loading...
Searching...
No Matches
XInsertObjectDialog Interface Referencepublished

allows to create and initialize a new embedded object using GUI dialog. More...

`import "XInsertObjectDialog.idl";`

Inheritance diagram for XInsertObjectDialog:

## Public Member Functions
InsertedObjectInfo | createInstanceByDialog ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntName, [in] sequence< ::com::sun::star::beans::PropertyValue > lObjArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object using GUI dialog.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to create and initialize a new embedded object using GUI dialog.

## Member Function Documentation

## ◆ createInstanceByDialog()

InsertedObjectInfo createInstanceByDialog | ( | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntName,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | lObjArgs )
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception ) |  |  |

creates a new object using GUI dialog.

The dialog allows for user to do a number of choices that are container related. This information will be returned in the InsertedObjectInfo object.

Parameters

  xStorage | a parent storage the entry should be created/opened in
  sEntName | a name for the entry
  lObjArgs | optional parameters for the object persistence initialization see also com::sun::star::embed::EmbeddedObjectDescriptor

Returns
  the structure containing the object and container related options

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::io::IOException | in case of io problems during opening or creation
  com::sun::star::uno::Exception | in case of other problems

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XInsertObjectDialog.idl